Chrome Version 19.0.1055.1 dev Flash Missing plug-in的修复

linux mint12 64位,以前一直用chrome好好的,直到更新到 Version 19.0.1055.1 dev版本,问题一大堆,最纠结的是flash不能用了,更新前是正常的,一直也没有找到原因,通过命令行启动google-chrome发现这个错误

ERROR:ppapi_thread.cc(172)] Failed to load Pepper module from /opt/google/chrome/PepperFlash/libpepflashplayer.so (error: /opt/google/chrome/PepperFlash/libpepflashplayer.so: 无法打开共享对象文件: 权限不够)


昨天在编译一个其它软件的时候因为依赖问题没有通过,突然想到是不是也是这个问题导致了flash无法载入

通过ldd 一看,果然

ldd libpepflashplayer.so
linux-vdso.so.1 => (0x00007fff891fb000)
libcrypto.so.0.9.8 => not found
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f9b5e11e000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f9b5df15000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f9b5dc0e000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f9b5d98a000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f9b5d76c000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f9b5d3cd000)
/lib64/ld-linux-x86-64.so.2 (0x00007f9b5f10d000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f9b5d1b7000)

google了一个libcrypto.so.0.9.8 ,原来是 libssl0.9.8这个包的,

通过sudo apt-get install libssl0.9.8

然后重启chrome ,flash回来了

posted @ 2012-03-06 21:34 无心之柳.NET 阅读(...) 评论(...) 编辑 收藏